Update File
Updates file metadata (title, type, visibility) and optionally replaces the file content in storage. If the file content is updated, the old file is replaced in Cloudflare R2. Triggers product update events for all items using this file. Deprecated: use PATCH /api/v2/{team_slug}/{app_slug}/dam/files instead.
PATCH
/api/v1/{team_slug}/{app_slug}/files/{file_id}deprecatedAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
file_idstringrequiredFile ID
Request body
application/x-www-form-urlencodedtitlestringFile title
typestringFile type
fileanyFile file to upload
Responses
200
File updated successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.FilerequiredShow propertiesHide properties
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Attributecreated_atstringdescriptionstring | nullfilterableboolean | nullidstringkeystringnamestring | nulltemplate_keystringtemplate_namestringtranslatableboolean | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]updated_atstring | nullvaluesobject | nullcreated_atstringfolder_idstringidstringpublicbooleantitlestring | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.FileTranslationShow propertiesHide properties
titlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringtypegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nulltypestring | nullupdated_atstring | nullurlstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
File not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired